/**

  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __BSP_ACCELERO_H
#define __BSP_ACCELERO_H

#ifdef __cplusplus
 extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "board.h"
/* Include Accelero component driver */
#if defined(USE_ACC_LSM6DS3)
#include "Components/lsm6ds3/lsm6ds3.h"
#elif defined(USE_ACC_LIS2DH12)
#include "Components/lis2dh12/lis2dh12.h"
#elif defined(USE_ACC_LIS331DLH)
#include "Components/lis331dlh/lis331dlh.h"
#endif

typedef enum 
{
  ACCELERO_OK = 0,
  ACCELERO_ERROR = 1,
  ACCELERO_TIMEOUT = 2
} 
ACCELERO_StatusTypeDef;

/* Sensor Configuration Functions */
ACCELERO_StatusTypeDef BSP_ACCELERO_Init(void);
void BSP_ACCELERO_DeInit(void);
void BSP_ACCELERO_LowPower(uint16_t status); /* 0 Means Disable Low Power Mode, otherwise Low Power Mode is enabled */
void BSP_ACCELERO_AccGetXYZ(int16_t *pDataXYZ);
/**
  * @}
  */

/**
  * @}
  */

/**
  * @}
  */

/**
  * @}
  */
#ifdef __cplusplus
}
#endif

#endif /* __ACCELERO_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
