/**
  ******************************************************************************
  * @file    board.h
  * @author  [ELKYS servis s.r.o.] - KY

*/

#ifndef __BOARD_H
#define __BOARD_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "main.h"	//"stm32f4xx_hal.h"
#include "cmdline.h"
#include "usart.h"
#include "nb.h"
#include "button.h"
#include "mram.h"
#include "spi.h"
#include "i2c.h"
#include "led.h"
#include "nmea.h"
#include "lightsense.h"
#include "accelero.h"
#include "humsense.h"
#include "tsense.h"
#include "rtc.h"
#include "hallsense.h"

/*
#define SENSOR_I2C_BUS_HANDLER hi2c1
#define EEPROM_I2C_BUS_HANDLER hi2c1
#define CHARGER_I2C_BUS_HANDLER hi2c2
*/
#define NB_UART_BUS_HANDLER huart1
#define NB_UART USART1

#define CMDLINE_UART_BUS_HANDLER huart2
#define CMDLINE_UART USART2

#define GNSS_UART_BUS_HANDLER hlpuart1
#define GNSS_UART LPUART1
#define GNSS_PWRON() HAL_GPIO_WritePin(GPSEN_GPIO_Port, GPSEN_Pin, GPIO_PIN_SET)
#define GNSS_PWROFF() HAL_GPIO_WritePin(GPSEN_GPIO_Port, GPSEN_Pin, GPIO_PIN_RESET);


#define BSP_NB_PWRKEY_LOW() HAL_GPIO_WritePin(PWRKEY_GPIO_Port, PWRKEY_Pin, GPIO_PIN_RESET);
#define BSP_NB_PWRKEY_HIGH() HAL_GPIO_WritePin(PWRKEY_GPIO_Port, PWRKEY_Pin, GPIO_PIN_SET);
#define BSP_NB_RST_LOW() HAL_GPIO_WritePin(NB_RST_GPIO_Port, NB_RST_Pin, GPIO_PIN_SET);
#define BSP_NB_RST_HIGH() HAL_GPIO_WritePin(NB_RST_GPIO_Port, NB_RST_Pin, GPIO_PIN_RESET);
#define BSP_NB_EN_LOW() HAL_GPIO_WritePin(NB_ON_GPIO_Port, NB_ON_Pin, GPIO_PIN_RESET);
#define BSP_NB_EN_HIGH() HAL_GPIO_WritePin(NB_ON_GPIO_Port, NB_ON_Pin, GPIO_PIN_SET);


#define MRAM_SPI_HANDLER hspi1
#define MRAM_SPI_TIMEOUT 100
#define BSP_MRAM_CS_ACTIVE() HAL_GPIO_WritePin(MCS_GPIO_Port, MCS_Pin, GPIO_PIN_RESET);
#define BSP_MRAM_CS_INACTIVE() HAL_GPIO_WritePin(MCS_GPIO_Port, MCS_Pin, GPIO_PIN_SET);

#define BSP_NB_DEST_IP_MEMADDR 0x0000	/* IP Address of Server in memory */
#define BSP_NB_DEST_PORT_MEMADDR 0x0006	/* Number of Destination Port in memory */
#define BSP_NB_SRC_PORT_MEMADDR 0x0004	/* Number of Source Port in memory */


void 				NB_SendData(uint8_t *data, uint16_t len, uint8_t enter);
uint32_t            BSP_GetVersion(void);
void                BSP_ErrorHandler(void);
GPIO_PinState 		GPIO_VBUS_State(void);

/*
 * Sensot BUS (i2c - constants)
 */
#define BSP_I2C_ADDRESS_LIGHTSENSE		0x52
#define BSP_I2C_ADDRESS_ACC_LIS331DLH	0x32	/* SA0=High */
#define SHT31DIS_I2C_ADDRESS			0x88	/* 0x44 - ADDR=0  0x45 aDDR=1 */
#define SENSOR_I2C_BUS_HANDLER hi2c2

void BOARD_LowPower(uint16_t on);

#endif
/************************ (C) COPYRIGHT ELKYS servis s.r.o. *****END OF FILE****/
