/**
  ******************************************************************************
  * @file    lightsense.h
  * @author  Radek Kysilka, 2018
  * @brief   This file provides a set of functions needed to manage the
  *			 light sensor
  ******************************************************************************
  *
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __BOARD_SPECIFIC_LIGHTSENSE_H
#define __BOARD_SPECIFIC_LIGHTSENSE_H

#ifdef __cplusplus
 extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "board.h"
/* Include component driver */
#include "Components/apds9301/apds9301.h"

typedef enum 
{
	LIGHTSENSE_OK = 0,
	LIGHTSENSE_ERROR = 1,
	LIGHTSENSE_TIMEOUT = 2
} 
LIGHTSENSE_StatusTypeDef;

/* Sensor Configuration Functions */
LIGHTSENSE_StatusTypeDef BSP_LIGHTSENSE_Init(uint8_t i2caddr);
void BSP_LIGHTSENSE_DeInit(uint8_t i2caddr);
void BSP_LIGHTSENSE_LowPower(uint8_t i2caddr, uint16_t status); /* 0 Means Disable Low Power Mode, otherwise Low Power Mode is enabled */
void BSP_LIGHTSENSE_GetValue(uint8_t i2caddr, uint16_t *pDataIR);

#ifdef __cplusplus
}
#endif

#endif /* __BOARD_SPECIFIC_LIGHTSENSE_H */

